Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 9225004: Handle Caps Lock short cut (Shift+Search) in ash [part 2 of 2]. (Closed)

Created:
7 years ago by Yusuke Sato
Modified:
6 years, 11 months ago
CC:
chromium-reviews, sadrul, nkostylev+watch_chromium.org, derat+watch_chromium.org, ben+watch_chromium.org, dhollowa+watch_chromium.org, stevenjb+watch_chromium.org, davemoore+watch_chromium.org, yusukes+watch_chromium.org, mazda
Visibility:
Public.

Description

Handle Caps Lock short cut (Shift+Search) in ash [part 2 of 2]. Add caps_lock_handler.cc which implements ash::CapsLockDelegate. Part 1 of 2: http://codereview.chromium.org/9242003 This CL depends on https://chromiumcodereview.appspot.com/9241002/ and http://codereview.chromium.org/9264004/. NOTE: THIS CL WAS REPLACED BY http://codereview.chromium.org/9297027/ (to solve some merge issues without access to yusukes) BUG=110129 TEST=ran browser_tests

Patch Set 1 : try #

Patch Set 2 : review #

Patch Set 3 : rebase #

Total comments: 20

Patch Set 4 : (work in progress) #

Patch Set 5 : review fix, rebase #

Total comments: 12

Patch Set 6 : fix win_aura #

Patch Set 7 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+247 lines, -1 line) Patch
M chrome/browser/chrome_browser_main_extra_parts_aura.cc View 1 2 3 4 5 6 3 chunks +8 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/system_key_event_listener.cc View 1 2 3 4 5 6 3 chunks +4 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/system_key_event_listener_browsertest.cc View 1 2 3 4 5 1 chunk +6 lines, -0 lines 0 comments Download
A chrome/browser/ui/views/aura/caps_lock_handler.h View 1 2 3 4 5 1 chunk +62 lines, -0 lines 0 comments Download
A chrome/browser/ui/views/aura/caps_lock_handler.cc View 1 2 3 4 5 1 chunk +59 lines, -0 lines 0 comments Download
A chrome/browser/ui/views/aura/caps_lock_handler_browsertest.cc View 1 2 3 4 1 chunk +104 lines, -0 lines 0 comments Download
M chrome/browser/ui/views/aura/screenshot_taker.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/chrome_browser.gypi View 1 2 3 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/chrome_tests.gypi View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 14 (0 generated)
Yusuke Sato
Daniel, Ben, I'm moving hot key handling code in chrome/browser/chromeos/system_key_event_listener.cc to Aura. Could you review ...
7 years ago (2012-01-18 10:09:20 UTC) #1
Daniel Erat
I mostly just have style nits. https://chromiumcodereview.appspot.com/9225004/diff/10001/chrome/browser/chromeos/system_key_event_listener.cc File chrome/browser/chromeos/system_key_event_listener.cc (right): https://chromiumcodereview.appspot.com/9225004/diff/10001/chrome/browser/chromeos/system_key_event_listener.cc#newcode344 chrome/browser/chromeos/system_key_event_listener.cc:344: // When Aura ...
7 years ago (2012-01-18 15:44:31 UTC) #2
Yusuke Sato
Fixed. Please take another look. (Currently the linux_chromeos_aura trybot is red since http://codereview.chromium.org/9264004/ is not ...
6 years, 12 months ago (2012-01-23 06:53:49 UTC) #3
Daniel Erat
As a larger question, I'm curious about whether this code even needs to be built ...
6 years, 12 months ago (2012-01-23 16:42:41 UTC) #4
Yusuke Sato
Fixed. Please take another look. > As a larger question, I'm curious about whether this ...
6 years, 12 months ago (2012-01-24 09:03:19 UTC) #5
Daniel Erat
Thanks for the explanation. LGTM.
6 years, 12 months ago (2012-01-24 17:23:18 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yusukes@chromium.org/9225004/35003
6 years, 12 months ago (2012-01-24 22:59:21 UTC) #7
commit-bot: I haz the power
Presubmit check for 9225004-35003 failed and returned exit status 1. Running presubmit commit checks ...
6 years, 12 months ago (2012-01-24 22:59:27 UTC) #8
Yusuke Sato
Ben, could you do an OWNER review of this? On 2012/01/24 22:59:27, I haz the ...
6 years, 12 months ago (2012-01-24 23:06:04 UTC) #9
dmazzoni
This patch didn't apply anymore and we want to land it today, so I created ...
6 years, 11 months ago (2012-01-27 19:55:40 UTC) #10
Ben Goodger (Google)
lgtm
6 years, 11 months ago (2012-01-27 21:12:12 UTC) #11
Yusuke Sato
Thanks Dominic for taking care of the change, but I also have a modified version ...
6 years, 11 months ago (2012-01-27 21:54:07 UTC) #12
Yusuke Sato
On 2012/01/27 21:54:07, Yusuke Sato wrote: > Thanks Dominic for taking care of the change, ...
6 years, 11 months ago (2012-01-27 21:58:25 UTC) #13
commit-bot: I haz the power
6 years, 11 months ago (2012-01-27 21:58:37 UTC) #14

Powered by Google App Engine
This is Rietveld 408576698